org.springframework.batch.integration.partition

## Class StepExecutionRequest

- java.lang.Object
- - org.springframework.batch.integration.partition.StepExecutionRequest

- All Implemented Interfaces:
    java.io.Serializable

      public class StepExecutionRequest
      extends java.lang.Object
      implements java.io.Serializable

  Class encapsulating information required to request a step execution in a remote partitioning setup.
  Author:
    Dave Syer, Mahmoud Ben Hassine
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StepExecutionRequest(java.lang.String stepName, java.lang.Long jobExecutionId, java.lang.Long stepExecutionId)` Create a new `StepExecutionRequest` instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Long` | `getJobExecutionId()`
    `java.lang.Long` | `getStepExecutionId()`
    `java.lang.String` | `getStepName()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StepExecutionRequest

          public StepExecutionRequest(java.lang.String stepName,
                                      java.lang.Long jobExecutionId,
                                      java.lang.Long stepExecutionId)

      Create a new `StepExecutionRequest` instance.
      Parameters:
        `stepName` - the name of the step to execute
        `jobExecutionId` - the id of the job execution
        `stepExecutionId` - the id of the step execution

  - ### Method Detail

    - #### getJobExecutionId

          public java.lang.Long getJobExecutionId()

    - #### getStepExecutionId

          public java.lang.Long getStepExecutionId()

    - #### getStepName

          public java.lang.String getStepName()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`